<?
include 'mysql.php';
$ref=rand(100,10000000);
$_title = '::LinEagE2::';
include 'inclydings/zag2.php';
include 'inclydings/ini.php';
$log = htmlspecialchars(stripslashes($log));
$pas = htmlspecialchars(stripslashes($pas));
$text = @file("L2dbnam/esql2db/reg/$log.dat");
if ($text!=""){
$udata = explode(":||:",$text[0]);
$login=trim($udata[0]);
$password=trim($udata[1]);}
include_once("inclydings/sesi.php");
if (isset($user)) {
include_once("inclydings/udata.php");
if(@file("L2dbnam/esql2db/moders/$log.dat")){
switch($go) {
default:
if(!@file("L2dbnam/esql2db/moders/$log.dat")){echo"Вы не Модератор!"; include_once"inclydings/nogi.php"; exit; }
echo"Здравствуйте модератор $log";
echo"<br/>- - -<br/>[<a href=\"moder.php?$sd&go=rules\">Правила наказания</a>]";
echo"<br/>[<a href=\"moder.php?$sd&go=dolg\">Обязаности модератора</a>]";
echo"<br/>[<a href=\"moder.php?$sd&go=bannick\">Дать бан</a>]";
echo"<br/>Управление общением:<br/>[<a href=\"moder.php?$sd&go=chat\">Управление чатом</a>]";
echo"<br/>[<a href=\"moder.php?$sd&go=tradechat\">Управление торговым чатом</a>]";
echo"<br/>[<a href=\"moder.php?$sd&go=moderchat\">Модер чат</a>]";
echo"<br/>[<a href=\"moder.php?$sd&go=delmsgchat\">Зделать полную очистку чата</a>]";
echo"<br/>[<a href=\"moder.php?$sd&go=tradedelmsgchat\">Зделать полную очистку торгового чата</a>]";
echo"<br/>Кланы/Альянсы<br/>[<a href=\"moder.php?$sd&go=ali\">Удалить альянс</a>]";
echo"<br/>[<a href=\"moder.php?$sd&go=modersend\">Модер Почта</a>]</small>";
break;
case 'ban':
if(!@file("L2dbnam/esql2db/moders/$log.dat")){echo"Вы не Модератор!"; include_once"inclydings/nogi.php"; exit; }
echo"Нажав на ник вы разбаните его!<br/>";
$file = file("L2dbnam/esql2db/ban.dat");
$total = count($file);
for ($i = 0; $i < $total; $i++){
$data = explode("||",$file[$i]);
$time=time()-86400;
if($data[1]>$time){
$data_name[]=$data[2];
$data_id[]=$i;
}}
if(empty($data_name)){echo"Забаненых нет.";
include_once"inclydings/down.php";
exit;}
foreach($data_name as $k=>$v)
{
$dat_screen[]="[<a href=\"moder.php?$sd&name=$data_name[$k]&id=$data_id[$k]&go=delban\">$data_name[$k]</a>]<br/>";
}
$total = count($dat_screen);
if (empty($_GET['start'])) $start = 0;
else $start = $_GET['start'];
if ($total < $start + 10){ $end = $total; }
else {$end = $start + 10; }
for ($i = $start; $i < $end; $i++){
echo"$dat_screen[$i]";
}
if ($start !== 0) {echo '[<a href="moder.php?start='.($start - 10).'&'.$sd.'&go=ban">Назад</a>] ';}
if ($total > $start + 10) {echo ' [<a href="moder.php?start='.($start + 10).'&'.$sd.'&go=ban">Далее</a>]';}
break;
case 'rules':
echo"
1. За надмеренный флуд [3 предупреждения, а затем бан на 12 часа]<br/>
2. За мат [1 Предупреждение, а затем бан на 12 часа]<br/>
3. За рекламу других интернет ресурсев кроме официальных сайтов как: rambler.ru; mail.ru; yndex.ru; google.com; vkontakte.ru; odnoklasniki.ru и прочие. <b>[Блокировка персонажа]</b><br/>
4. За оскорбление админа/модера [Бан на 24 часа]<br/>
5. За оскорбление игрока [1 Предупреждение, а затем бан на 12]
6. За продажу персонажа [Блокировка персонажа]<br/>
7. Кидалово игроков [Мы ответственность не несем! Если з доказательствами мы вернём персонажа. За доказательство принимаютса: скриншоты,вся информацыя зделанная в течении 5 дней с доказадельствами не менее 10 человек и т.д.]";
break;
case 'delban':
if(!@file("L2dbnam/esql2db/moders/$log.dat")){echo"Вы не Модератор!"; include_once"inclydings/nogi.php"; exit; }
$file = file("L2dbnam/esql2db/ban.dat");
$fp=fopen("L2dbnam/esql2db/ban.dat","w");
flock ($fp,LOCK_EX);
unset($file[$id]);
fputs($fp, implode("",$file));
flock ($fp,LOCK_UN);
fclose($fp);
echo"Разбанен.";
break;
case 'profilsave':
if(!@file("L2dbnam/esql2db/moders/$log.dat")){echo"Вы не Модератор!"; include_once"inclydings/nogi.php"; exit; }
include_once("inclydings/functions.php");
$name=check($name);
$prichina=check($prichina);
$date = date("d.m.Y");
$name=htmlspecialchars(stripslashes($name));
$fp=fopen("L2dbnam/esql2db/blocked/$name.dat","w");
if(!@file("L2dbnam/esql2db/reg/$uzer.dat")){echo"Такого игрока нету в базе данных!"; include_once"inclydings/down.php"; exit; }
flock($fp,LOCK_EX);
fputs($fp,"$log||$date||$name||$prichina|| ||");
fflush($fp);
flock($fp,LOCK_UN);
fclose($fp);
$msg="$name заблокирован! Кем: $log Причина: $prichina Дата: $date ";
$msg=htmlspecialchars(stripslashes($msg));
$msg=str_replace("#","",$msg);
$date=date("d.m.y");
$time=date("H:i");
$text="($time)<br/><b><u>$msg</u></b>#[Система]#Nokia8800#127.0.0.1#$date#$time";
$text=str_replace("\r\n", "", $text);
$fp=fopen("L2dbnam/esql2db/chat.dat","a+");
flock ($fp,LOCK_EX);
fputs($fp,"$text\r\n");
flock ($fp,LOCK_UN);
fclose($fp);
echo '<div id="menu6">'.$bimg7.' Игрок '.$name.' заблокирован модератором '.$log.'! '.$img37.'</div>
<b>Дата : </b>'.$date.'<br />
<b>Причина :</b> '.$prichina.'<br /></a>';
break;
case 'moderchat':
if(!@file("L2dbnam/esql2db/moders/$log.dat")){echo"Вы не Модератор!"; include_once"inclydings/nogi.php"; exit; }
if(empty($udata[35])){$udata[35]="5";}
$file = @file("L2dbnam/esql2db/chatmsg.dat");
$total = count($file);
if (empty($_GET['start'])) $start = 0;
else $start = $_GET['start'];
if ($total < $start + $udata[35]){ $end = $total; }
else {$end = $start + $udata[35]; }
for ($i = $start; $i < $end; $i++){
$file = @file("L2dbnam/esql2db/chatmsg.dat");
$file = array_reverse($file);
$data = explode("#",$file[$i]);
$i2=round($i+1);
if(!empty($data[1])){
echo"<small><a href=\"search.php?$sd&go=go&nick=$data[1]\">$data[1]</a>|<a href=\"moder.php?$sd&go=modersay&nick=$data[1]\">Ответ</a>
 - $data[0]<br/>[$data[2]/$data[3]]<br/>";}
}
echo "<form action=\"moder.php?$sd&go=moderchatadd\" method=\"post\"><br/>= = = =";
echo "<br/><input name=\"msg\" maxlength=\"999\" title=\"msg\"/><br/>";
echo '<input type="submit" value="Написать" /></form>';
if ($start != 0) {echo '[<a href="moder.php?start='.($start - $udata[35]).'&'.$sd.'&go=moderchat">Назад</a>] ';}else{echo'= = = =<br/>';}
if ($total > $start + $udata[35]) {echo ' [<a href="moder.php?start='.($start + $udata[35]).'&'.$sd.'&go=moderchat">Далее</a>]';}
echo"<br/>[<a href=\"moder.php?$sd&go=moderchat&ref=$ref\">Обновить</a>]<br/>";
break;
case 'moderchatadd':
if(!@file("L2dbnam/esql2db/moders/$log.dat")){echo"Вы не Модератор!"; include_once"inclydings/nogi.php"; exit; }
if(getenv("HTTP_X_FORWARDED_FOR")){ $ip = getenv("HTTP_X_FORWARDED_FOR"); }else{
if(getenv("REMOTE_ADDR")) $ip = getenv("REMOTE_ADDR");}
$ip=htmlspecialchars(stripslashes($ip));
$brow=htmlspecialchars(stripslashes(getenv('HTTP_USER_AGENT')));
$brow=strtok($brow,'/');
$brow=str_replace("#","",$brow);
$ip=str_replace("#","",$ip);
$msg=htmlspecialchars(stripslashes($msg));
$msg=str_replace("#","",$msg);
$date=date("d.m.y");
$time=date("H:i");
$text="[$date/$time]$msg#$log#Модер#Модер#";
$text=str_replace("\r\n", "", $text);
$fp=fopen("L2dbnam/esql2db/chatmsg.dat","a+");
flock ($fp,LOCK_EX);
fputs($fp,"$text\r\n");
flock ($fp,LOCK_UN);
fclose($fp);
$file=file("L2dbnam/esql2db/chatmsg.dat"); $i = count($file);
if ($i>=1000) {
$fp=fopen("L2dbnam/esql2db/chatmsg.dat","w");
flock ($fp,LOCK_EX);
unset($file[0]);
fputs($fp, implode("",$file));
flock ($fp,LOCK_UN);
fclose($fp);
}
echo"Сообщение успешно добавлено<br/>[<a href=\"moder.php?$sd&go=moderchat\">Продолжить!</a>]<br/>";
break;
break;
case 'anket':
if(!@file("L2dbnam/esql2db/moders/$log.dat")){echo"Вы не Модератор!"; include_once"inclydings/nogi.php"; exit; }
#---------------------#
$duuu=opendir("local/dataanket");
$all = 0;
while(($k=readdir($duuu))!==false){
if ($k=='.'||$k=='..'||$k=='.htaccess'||$k=='index.php') continue; $all++;} closedir($duuu);
#---------------------#
echo'Анкеты игроков<br/>';
$dir = opendir ("local/dataanket");
while ($file = readdir ($dir))
{
if (( $file != ".") and ($file != ".."))
{
$id=str_replace(".dat","",$file);
$text = @file("local/dataanket/$file");
$data = explode("||",$text[0]);
echo '[<a href="moder.php?'.$sd.'&go=editanket&id='.$id.'">'.$data[0].' '.$data[1].'</a>] [<b>'.$id.'</b>] '.$data[5].'<br/>';
}}
echo'Всего анкет '.$all.'';
break;
case 'editanket':
if(!@file("L2dbnam/esql2db/moders/$log.dat")){echo"Вы не Модератор!"; include_once"inclydings/nogi.php"; exit; }
$vfile = @file("local/dataanket/$id.dat");
$value = explode("||",$vfile[0]);
echo'Анкета игрока '.$id.'<br/>';
echo '<form method="post" action="moder.php?'.$sd.'&go=saveanket&id='.$id.'">';
echo 'Имя:<br/><input type="log" name="name" maxlength="25" value="'.$value[0].'" /><br/>';
echo 'Фамилия:<br/><input type="log" name="lastname" maxlength="25" value="'.$value[1].'" /><br/>';
echo 'День:<br/><select id="select" name="day" type="select">
<option value="1">1</option>
<option value="2">2</option>
<option value="3">3</option>
<option value="4">4</option>
<option value="5">5</option>
<option value="6">6</option>
<option value="7">7</option>
<option value="8">8</option>
<option value="9">9</option>
<option value="10">10</option>
<option value="11">11</option>
<option value="12">12</option>
<option value="13">13</option>
<option value="14">14</option>
<option value="15">15</option>
<option value="16">16</option>
<option value="17">17</option>
<option value="18">18</option>
<option value="19">19</option>
<option value="20">20</option>
<option value="21">21</option>
<option value="22">22</option>
<option value="23">23</option>
<option value="24">24</option>
<option value="25">25</option>
<option value="26">26</option>
<option value="27">27</option>
<option value="28">28</option>
<option value="29">29</option>
<option value="30">30</option>
<option value="31">31</option>
</select><br/>';
echo 'Месяц:<br/>
<select id="select" name="month" type="select">
<option value="Января">Январь</option>
<option value="Февраля">Февраль</option>
<option value="Марта">Март</option>
<option value="Апреля">Апрель</option>
<option value="Мая">Май</option>
<option value="Июня">Июнь</option>
<option value="Июля">Июль</option>
<option value="Августа">Август</option>
<option value="Сентябрь">Сентябрь</option>
<option value="Октября">Октябрь</option>
<option value="Ноября">Ноябрь</option>
<option value="Декабря">Декабрь</option>
</select><br/>';
echo 'Год:<br/><input type="log" name="year" maxlength="4" value="'.$value[4].'" /><br/>';
echo 'Город:<br/><input type="log" name="gorod" maxlength="30" value="'.$value[5].'" /><br/>';
echo 'Сайт(без http://):<br/><input type="log" name="site" maxlength="35" value="'.$value[8].'" /><br/>';
echo 'ICQ:<br/><input type="log" name="icq" maxlength="9" value="'.$value[6].'" /><br/>';
echo 'Номер телефона(+3..):<br/><input type="log" name="number" maxlength="13" value="'.$value[11].'" /><br/>';
echo 'Оператор:<br/><input type="log" name="opsos" maxlength="20" value="'.$value[9].'" /><br/>';
echo 'Модель телефона:<br/><input type="log" name="model" maxlength="25" value="'.$value[7].'" /><br/>';
echo 'О себе:<br/><input type="log" name="about" maxlength="250" value="'.$value[10].'" /><br/>';
echo '<br /><input class="button" type="submit" value="Отправить"/>';
echo '<postfield name="name" value="$(name)"/>';
echo '<postfield name="lastname" value="$(lastname)"/>';
echo '<postfield name="day" value="$(day)"/>';
echo '<postfield name="month" value="$(month)"/>';
echo '<postfield name="year" value="$(year)"/>';
echo '<postfield name="gorod" value="$(gorod)"/>';
echo '<postfield name="number" value="$(number)"/>';
echo '<postfield name="model" value="$(model)"/>';
echo '<postfield name="site" value="$(site)"/>';
echo '<postfield name="icq" value="$(icq)"/>';
echo '<postfield name="opsos" value="$(opsos)"/>';
echo '<postfield name="about" value="$(about)"/></form></div>';
break;
case 'saveanket' :
if(!@file("L2dbnam/esql2db/moders/$log.dat")){echo"Вы не Модератор!"; include_once"inclydings/nogi.php"; exit; }
include_once("inclydings/functions.php");
$name=check($name);
$lastname=check($lastname);
$day=check($day);
$month=check($month);
$year=check($year);
$gorod=check($gorod);
$icq=check($icq);
$model=check($model);
$site=check($site);
$opsos=check($opsos);
$number=check($number);
$about=check($about);
$text=$name.'||'.$lastname.'||'.$day.'||'.$month.'||'.$year.'||'.$gorod.'||'.$icq.'||'.$model.'||'.$site.'||'.$opsos.'||'.$about.'||'.$number.'||0||';
$fp=fopen("local/dataanket/$id.dat","w");
flock($fp,LOCK_EX);
fputs($fp,"$text");
fflush($fp);
flock($fp,LOCK_UN);
fclose($fp);
$data=date("d F, Y", time());
$time=date("H:i:s", time());
$data = str_replace("January","января",$data);
$data = str_replace("February","февраля",$data);
$data = str_replace("March","марта",$data);
$data = str_replace("April","апреля",$data);
$data = str_replace("May","мая",$data);
$data = str_replace("June","июня",$data);
$data = str_replace("July","июля",$data);
$data = str_replace("August","августа",$data);
$data = str_replace("September","сентября",$data);
$data = str_replace("October","октября",$data);
$data = str_replace("November","ноября",$data);
$data = str_replace("December","декабря",$data);
$fal = @file("L2dbnam/esql2db/reg/$id.dat");
$udata = explode(":||:",$fal[0]);
$udata[22]=trim($udata[22]+1);
$textus=$udata[0].':||:'.$udata[1].':||:'.$udata[2].':||:'.$udata[3].':||:'.$udata[4].':||:'.$udata[5].':||:'.$udata[6].':||:'.$udata[7].':||:'.$udata[8].':||:'.$udata[9].':||:'.$udata[10].':||:'.$udata[11].':||:'.$udata[12].':||:'.$udata[13].':||:'.$udata[14].':||:'.$udata[15].':||:'.$udata[16].':||:'.$udata[17].':||:'.$udata[18].':||:'.$udata[19].':||:'.$udata[20].':||:'.$udata[21].':||:'.$udata[22].':||:'.$udata[23].':||:'.$udata[24].':||:'.$udata[25].':||:'.$udata[26].':||:'.$udata[27].':||:'.$udata[28].':||:'.$udata[29].':||:'.$udata[30].':||:'.$udata[31].':||:'.$udata[32].':||:'.$udata[33].':||:'.$udata[34].':||:'.$udata[35].':||:'.$udata[36].':||:'.$udata[37].':||:'.$udata[38].':||:'.$udata[39].':||:'.$udata[40].':||:'.$udata[41].':||:'.$udata[42].':||:'.$udata[43].':||:'.$udata[44].':||:'.$udata[45].':||:'.$udata[46].':||:'.$udata[47].':||:'.$udata[48].':||:'.$udata[49].':||:'.$udata[50].':||:'.$udata[51].':||:'.$udata[52].':||:'.$udata[53].':||:'.$udata[54].':||:'.$udata[55].':||:'.$udata[56].':||:'.$udata[57].':||:'.$udata[58].':||:'.$udata[59].':||:'.$udata[60].':||:'.$udata[61].':||:'.$udata[62].':||:'.$udata[63].':||:'.$udata[64].':||:'.$udata[65].':||:'.$udata[66].':||:'.$udata[67].':||:'.$udata[68].':||:'.$udata[69].':||:'.$udata[70].':||:'.$udata[71].':||:'.$udata[72].':||:'.$udata[73].':||:'.$udata[74].':||:'.$udata[75].':||:'.$udata[76].':||:'.$udata[77].':||:'.$udata[78].':||:'.$udata[79].':||:'.$udata[80].':||:'.$udata[81].':||:'.$udata[82].':||:'.$udata[83].':||:'.$udata[84].':||:'.$udata[85].':||:'.$udata[86].':||:'.$udata[87].':||:'.$udata[88].':||:'.$udata[89].':||:'.$udata[90].':||:'.$udata[91].':||:'.$udata[92].':||:'.$udata[93].':||:'.$udata[94].':||:'.$udata[95].':||:'.$udata[96].':||:'.$udata[97].':||:'.$udata[98].':||:'.$udata[99].':||:'.$udata[100].':||:';
$fp=fopen("L2dbnam/esql2db/reg/$id.dat","a+");
flock ($fp,LOCK_EX);
ftruncate ($fp,0);
fputs($fp,"$textus");
fflush ($fp);
flock ($fp,LOCK_UN);
fclose($fp);
$message="Ваша анкета была изменена Модератором $log!";
$message=base64_encode($message);
$pozdr=":::Система|".$message."|".$data;
$fp=fopen("L2dbnam/esql2db/msg/$id.msg","a+");
flock($fp,LOCK_EX);
fputs($fp,"$pozdr \r\n");
fflush($fp);
flock($fp,LOCK_UN);
fclose($fp);
echo'Результат редактирования';
echo'Анкета игрока '.$id.' обновлена!<br />Ему отослано уведомление о изменении.<br/><a href="moder.php?'.$sd.'&go=anket">Назад к анкетам</a><br/>';
break;
case 'chatonoff':
if(!@file("L2dbnam/esql2db/moders/$log.dat")){echo"Вы не Модератор!"; include_once"inclydings/nogi.php"; exit; }
echo"[<a href=\"moder.php?$sd&go=on\">Включить чат</a>]";
echo"<br/>[<a href=\"moder.php?$sd&go=off\">Выключить чат</a>]";
break;
case 'on':
if(!@file("L2dbnam/esql2db/moders/$log.dat")){echo"Вы не Модератор!"; include_once"inclydings/nogi.php"; exit; }
$fp=fopen("L2dbnam/esql2db/config.dat","w");
flock($fp,LOCK_EX);
fputs($fp,"on||");
fflush($fp);
flock($fp,LOCK_UN);
fclose($fp);
echo"Чат включен<br/>[<a href=\"moder.php?$sd\">Продолжить!</a>]";
break;
case 'off':
if(!@file("L2dbnam/esql2db/moders/$log.dat")){echo"Вы не Модератор!"; include_once"inclydings/nogi.php"; exit; }
$fp=fopen("L2dbnam/esql2db/config.dat","w");
flock($fp,LOCK_EX);
fputs($fp,"off||");
fflush($fp);
flock($fp,LOCK_UN);
fclose($fp);
echo"Чат выключен<br/>[<a href=\"moder.php?$sd\">Продолжить!</a>]";
break;
case 'chat':
if(!@file("L2dbnam/esql2db/moders/$log.dat")){echo"Вы не Модератор!"; include_once"inclydings/nogi.php"; exit; }
if(empty($udata[35])){$udata[35]="5";}
$file = @file("L2dbnam/esql2db/chat.dat");
$total = count($file);
if (empty($_GET['start'])) $start = 0;
else $start = $_GET['start'];
if ($total < $start + $udata[35]){ $end = $total; }
else {$end = $start + $udata[35]; }
for ($i = $start; $i < $end; $i++){
$file = @file("L2dbnam/esql2db/chat.dat");
$file = array_reverse($file);
$data = explode("#",$file[$i]);
$i2=round($i+1);
$data[6]=str_replace("\r\n", "", $data[6]);
if(!empty($data[1])){
echo"[<a href=\"moder.php?$sd&go=del&id=$i\">DEL</a>][<a href=\"moder.php?$sd&go=ip&name=$data[1]\">БАН</a>] [<a href=\"moder.php?$sd&go=pr&name=$data[1]\">Предупредить</a>] [<a href=\"search.php?$sd&go=go&nick=$data[1]\">$data[1]</a>]|[<a href=\"moder.php?$sd&go=say&nick=$data[1]\">Ответ</a>] [$data[5]] - $data[0]<br/>[$data[2]/$data[3]]<br/>";}
}
echo "<form action=\"moder.php?$sd&go=chatadd\" method=\"post\">- - -";
echo "<br/><input name=\"msg\" maxlength=\"500\" title=\"msg\"/><br/><input type=\"hidden\" name=\"self\" value=\"$self\" />";
echo "<input type=\"submit\" value=\"Написать\"/></form>";
if ($start != 0) {echo '[<a href="moder.php?start='.($start - $udata[35]).'&'.$sd.'&go=chat">Назад</a>] ';}else{echo'= = = =<br/>';}
if ($total > $start + $udata[35]) {echo ' <small>[<a href="moder.php?start='.($start + $udata[35]).'&'.$sd.'&go=chat">Далее</a>]';}
echo"<br/>[<a href=\"moder.php?$sd&&go=chat&ref=$ref\">Обновить</a>]<br/>";
break;
case 'chatadd':
if(!@file("L2dbnam/esql2db/moders/$log.dat")){echo"Вы не Модератор!"; include_once"inclydings/nogi.php"; exit; }
if(getenv("HTTP_X_FORWARDED_FOR")){ $ip = getenv("HTTP_X_FORWARDED_FOR"); }else{
if(getenv("REMOTE_ADDR")) $ip = getenv("REMOTE_ADDR");}
$ip=htmlspecialchars(stripslashes($ip));
$brow=htmlspecialchars(stripslashes(getenv('HTTP_USER_AGENT')));
$brow=strtok($brow,'/');
$brow=str_replace("#","",$brow);
$ip=str_replace("#","",$ip);
$msg = htmlspecialchars(stripslashes(addslashes($_POST['msg'])));
$msg=str_replace("#","",$msg);
$date=date("d.m.y");
$time=date("H:i:s");
$text="($time)<br/>$msg#$log#$brow#$ip#$date#$time#";
$text=str_replace("\r\n", "", $text);
$fp=fopen("L2dbnam/esql2db/chat.dat","a+");
flock ($fp,LOCK_EX);
fputs($fp,"$text\r\n");
flock ($fp,LOCK_UN);
fclose($fp);
$file=file("L2dbnam/esql2db/chat.dat"); $i = count($file);
if ($i>=1000) {
$fp=fopen("L2dbnam/esql2db/chat.dat","w");
flock ($fp,LOCK_EX);
unset($file[0]);
fputs($fp, implode("",$file));
flock ($fp,LOCK_UN);
fclose($fp);
}
echo"Сообщение добавлено<br/>[<a href=\"moder.php?$sd&go=chat\">Продолжить!</a>]";
break;
case 'del':
if(!@file("L2dbnam/esql2db/moders/$log.dat")){echo"Вы не Модератор!"; include_once"inclydings/nogi.php"; exit; }
$file = @file("L2dbnam/esql2db/chat.dat");
$total = count($file);
if($id=="0"){$id=$total-1;}else{$id=$total-$id-1;}
$file=file("L2dbnam/esql2db/chat.dat");
$fp=fopen("L2dbnam/esql2db/chat.dat","w");
flock ($fp,LOCK_EX);
for ($i=0;$i< sizeof($file);$i++) { if ($i==$id) {unset($file[$i]);} }
fputs($fp, implode("",$file));
flock ($fp,LOCK_UN);
fclose($fp);
echo"Удалено<br/>[<a href=\"moder.php?$sd&go=chat\">Продолжить!</a>]<br/>";
break;
case 'pr':
if(!@file("L2dbnam/esql2db/moders/$log.dat")){echo"Вы не Модератор!"; include_once"inclydings/nogi.php"; exit; }
$name=htmlspecialchars(stripslashes($name));
echo "Причина придуприждения:";
echo "<form action=\"moder.php?$sd&go=prchat&name=$name\" method=\"post\">- - -";
echo "<br/><input name=\"prichina\" maxlength=\"500\" title=\"go\"/><br/><input type=\"hidden\" name=\"self\" value=\"$(prichina)\" />";
echo "<input type=\"submit\" value=\"Предупредить\"/></form>";
break;
case 'prtrade':
if(!@file("L2dbnam/esql2db/moders/$log.dat")){echo"Вы не Модератор!"; include_once"inclydings/nogi.php"; exit; }
$name=htmlspecialchars(stripslashes($name));
echo "Причина придуприждения:";
echo "<form action=\"moder.php?$sd&go=prtradechat&name=$name\" method=\"post\">- - -";
echo "<br/><input name=\"prichina\" maxlength=\"500\" title=\"go\"/><br/><input type=\"hidden\" name=\"self\" value=\"$(prichina)\" />";
echo "<input type=\"submit\" value=\"Предупредить\"/></form>";
break;
case 'ip':
if(!@file("L2dbnam/esql2db/moders/$log.dat")){echo"Вы не Модератор!"; include_once"inclydings/nogi.php"; exit; }
$name=htmlspecialchars(stripslashes($name));
echo "Причина бана по ip:";
echo "<form action=\"moder.php?$sd&go=ipban&name=$name\" method=\"post\">- - -";
echo "<br/><input name=\"prichina\" maxlength=\"500\" title=\"go\"/><br/><input type=\"hidden\" name=\"self\" value=\"$(prichina)\" />";
echo "<input type=\"submit\" value=\"Забанить\"/></form>";
break;
case 'prtradechat':
if(!@file("L2dbnam/esql2db/moders/$log.dat")){echo"Вы не Модератор!"; include_once"inclydings/nogi.php"; exit; }
echo"$name успешно предупрежден<br/><a href=\"moder.php?$sd&go=tradechat\">Продолжить!</a><br/>";
/////////////////////////
//$browe=opera;
//$ipe=127.1.1.1);
$msg="$name вам дал предупреждение Модератор $log. Причина: $prichina";
$msg=htmlspecialchars(stripslashes($msg));
$msg=str_replace("#","",$msg);
$date=date("d.m.y");
$time=date("H:i");
$text="($time)<br/><b>$msg</b>#[Система]#Nokia8800#127.0.0.1#$date#$time";
$text=str_replace("\r\n", "", $text);
$fp=fopen("L2dbnam/esql2db/trade.dat","a+");
flock ($fp,LOCK_EX);
fputs($fp,"$text\r\n");
flock ($fp,LOCK_UN);
fclose($fp);
break;
case 'prchat':
if(!@file("L2dbnam/esql2db/moders/$log.dat")){echo"Вы не Модератор!"; include_once"inclydings/nogi.php"; exit; }
echo"$name успешно предупрежден<br/><a href=\"moder.php?$sd&go=chat\">Продолжить!</a><br/>";
/////////////////////////
//$browe=opera;
//$ipe=127.1.1.1);
$msg="$name вам дал предупреждение Модератор $log. Причина: $prichina";
$msg=htmlspecialchars(stripslashes($msg));
$msg=str_replace("#","",$msg);
$date=date("d.m.y");
$time=date("H:i");
$text="($time)<br/><b>$msg</b>#[Система]#Nokia8800#127.0.0.1#$date#$time";
$text=str_replace("\r\n", "", $text);
$fp=fopen("L2dbnam/esql2db/chat.dat","a+");
flock ($fp,LOCK_EX);
fputs($fp,"$text\r\n");
flock ($fp,LOCK_UN);
fclose($fp);
break;
case 'ipban':
$name=htmlspecialchars(stripslashes($name));
$file=@file("L2dbnam/esql2db/chat.dat");
$file = array_reverse($file);
for($i=0; $i<$file; $i++){
$data = explode("#",$file[$i]);
if($name==$data[1]){
$ip=explode(".",$data[3]);
$ipn="$ip[0].$ip[1].$ip[2]";
$time=time();
$prichina=htmlspecialchars(stripslashes($prichina));
$prichina=str_replace("|","",$prichina);
$name=str_replace("|","",$name);
$text="$ipn||$time||$name||$prichina||$data[0]||";
$fp=fopen("L2dbnam/esql2db/ban.dat","a+");
flock($fp,LOCK_EX);
fputs($fp,"$text\r\n");
fflush($fp);
flock($fp,LOCK_UN);
fclose($fp);
echo"$name успешно забанен на 24 часов<br/><a href=\"moder.php?$sd&go=chat\">Продолжить!</a><br/>";
/////////////////////////
//$browe=opera;
//$ipe=127.1.1.1);
$msg="$name забанен на 24 часов! Модератором: $log. Причина: $prichina ";
$msg=htmlspecialchars(stripslashes($msg));
$msg=str_replace("#","",$msg);
$date=date("d.m.y");
$time=date("H:i");
$text="($time)<br/><b>$msg</b>#[Система]#Nokia8800#127.0.0.1#$date#$time";
$text=str_replace("\r\n", "", $text);
$fp=fopen("L2dbnam/esql2db/chat.dat","a+");
flock ($fp,LOCK_EX);
fputs($fp,"$text\r\n");
flock ($fp,LOCK_UN);
fclose($fp);
$file=file("L2dbnam/esql2db/chat.dat"); $i = count($file);
if ($i>=1000) {
$fp=fopen("L2dbnam/esql2db/chat.dat","w");
flock ($fp,LOCK_EX);
unset($file[0]);
fputs($fp, implode("",$file));
flock ($fp,LOCK_UN);
fclose($fp);
}
exit;}
}
break;
case 'tradechat':
if(!@file("L2dbnam/esql2db/moders/$log.dat")){echo"Вы не Модератор!"; include_once"inclydings/nogi.php"; exit; }
if(empty($udata[35])){$udata[35]="5";}
$file = @file("L2dbnam/esql2db/trade.dat");
$total = count($file);
if (empty($_GET['start'])) $start = 0;
else $start = $_GET['start'];
if ($total < $start + $udata[35]){ $end = $total; }
else {$end = $start + $udata[35]; }
for ($i = $start; $i < $end; $i++){
$file = @file("L2dbnam/esql2db/trade.dat");
$file = array_reverse($file);
$data = explode("#",$file[$i]);
$i2=round($i+1);
$data[6]=str_replace("\r\n", "", $data[6]);
if(!empty($data[1])){
echo"[<a href=\"moder.php?$sd&go=tradedel&id=$i\">DEL</a>][<a href=\"moder.php?$sd&go=tradeip&name=$data[1]\">БАН</a>] [<a href=\"moder.php?$sd&go=prtrade&name=$data[1]\">Предупредить</a>]</b> [<a href=\"search.php?$sd&go=go&nick=$data[1]\">$data[1]</a>]|[<a href=\"moder.php?$sd&go=tradesay&nick=$data[1]\">Ответ</a>] [$data[5]] -$data[0]<br/>[$data[2]/$data[3]]<br/>";}
}
echo "<form action=\"moder.php?$sd&go=tradeadd\" method=\"post\">- - -";
echo "<br/><input name=\"msg\" maxlength=\"500\" title=\"msg\"/><br/><input type=\"hidden\" name=\"self\" value=\"$self\" />";
echo "<input type=\"submit\" value=\"Написать\"/></form>";
if ($start != 0) {echo '[<a href="moder.php?start='.($start - $udata[35]).'&'.$sd.'&go=tradechat">Назад</a>]</small> ';}else{echo'= = = =<br/>';}
if ($total > $start + $udata[35]) {echo ' [<a href="moder.php?start='.($start + $udata[35]).'&'.$sd.'&go=tradechat">Далее</a>]';}
echo"<br/>[<a href=\"moder.php?$sd&go=tradechat&ref=$ref\">Обновить</a>]<br/>";
break;
case 'tradeadd':
if(!@file("L2dbnam/esql2db/moders/$log.dat")){echo"Вы не Модератор!"; include_once"inclydings/nogi.php"; exit; }
if(getenv("HTTP_X_FORWARDED_FOR")){ $ip = getenv("HTTP_X_FORWARDED_FOR"); }else{
if(getenv("REMOTE_ADDR")) $ip = getenv("REMOTE_ADDR");}
$ip=htmlspecialchars(stripslashes($ip));
$brow=htmlspecialchars(stripslashes(getenv('HTTP_USER_AGENT')));
$brow=strtok($brow,'/');
$brow=str_replace("#","",$brow);
$ip=str_replace("#","",$ip);
$msg = htmlspecialchars(stripslashes(addslashes($_POST['msg'])));
$msg=str_replace("#","",$msg);
$date=date("d.m.y");
$time=date("H:i:s");
$text="($time)<br/>$msg#$log#$brow#$ip#$date#$time#";
$text=str_replace("\r\n", "", $text);
$fp=fopen("L2dbnam/esql2db/trade.dat","a+");
flock ($fp,LOCK_EX);
fputs($fp,"$text\r\n");
flock ($fp,LOCK_UN);
fclose($fp);
$file=file("L2dbnam/esql2db/trade.dat"); $i = count($file);
if ($i>=1000) {
$fp=fopen("L2dbnam/esql2db/trade.dat","w");
flock ($fp,LOCK_EX);
unset($file[0]);
fputs($fp, implode("",$file));
flock ($fp,LOCK_UN);
fclose($fp);
}
echo"Сообщение добавлено<br/>[<a href=\"moder.php?$sd&go=tradechat\">Продолжить!</a>]<br/>";
break;
case 'tradedel':
if(!@file("L2dbnam/esql2db/moders/$log.dat")){echo"Вы не Модератор!"; include_once"inclydings/nogi.php"; exit; }
$file = @file("L2dbnam/esql2db/trade.dat");
$total = count($file);
if($id=="0"){$id=$total-1;}else{$id=$total-$id-1;}
$file=file("L2dbnam/esql2db/trade.dat");
$fp=fopen("L2dbnam/esql2db/trade.dat","w");
flock ($fp,LOCK_EX);
for ($i=0;$i< sizeof($file);$i++) { if ($i==$id) {unset($file[$i]);} }
fputs($fp, implode("",$file));
flock ($fp,LOCK_UN);
fclose($fp);
echo"Удалено<br/>[<a href=\"moder.php?$sd\">Продолжить!</a>]<br/>";
break;
case 'tradeip':
if(!@file("L2dbnam/esql2db/moders/$log.dat")){echo"Вы не Модератор!"; include_once"inclydings/nogi.php"; exit; }
$name=htmlspecialchars(stripslashes($name));
echo "Причина бана по ip:";
echo "<form action=\"moder.php?$sd&go=tradeipban&name=$name\" method=\"post\">- - -";
echo "<br/><input name=\"prichina\" maxlength=\"500\" title=\"go\"/><br/><input type=\"hidden\" name=\"self\" value=\"$(prichina)\" />";
echo "<input type=\"submit\" value=\"Забанить\"/></form>";
break;
case 'tradeipban':
if(!@file("L2dbnam/esql2db/moders/$log.dat")){echo"Вы не Модератор!"; include_once"inclydings/nogi.php"; exit; }
$name=htmlspecialchars(stripslashes($name));
$file=@file("L2dbnam/esql2db/trade.dat");
$file = array_reverse($file);
for($i=0; $i<$file; $i++){
$data = explode("#",$file[$i]);
if($name==$data[1]){
$ip=explode(".",$data[3]);
$ipn="$ip[0].$ip[1].$ip[2]";
$time=time();
$prichina=htmlspecialchars(stripslashes($prichina));
$prichina=str_replace("|","",$prichina);
$name=str_replace("|","",$name);
$text="$ipn||$time||$name||$prichina||$data[0]||";
$fp=fopen("L2dbnam/esql2db/ban.dat","a+");
flock($fp,LOCK_EX);
fputs($fp,"$text\r\n");
fflush($fp);
flock($fp,LOCK_UN);
fclose($fp);
echo"$name забанен на 24 часа.<br/>[<a href=\"moder.php?$sd&go=tradechat\">Продолжить</a>]<br/>";
/////////////////////////
//$browe=opera;
//$ipe=127.1.1.1);
$msg="$name забанен на 24 часов! Модератором: $log. Причина: $prichina ";
$msg=htmlspecialchars(stripslashes($msg));
$msg=str_replace("#","",$msg);
$date=date("d.m.y");
$time=date("H:i");
$text="($time)<br/><b>$msg</b>#[Система]#Nokia8800#127.0.0.1#$date#$time";
$text=str_replace("\r\n", "", $text);
$fp=fopen("L2dbnam/esql2db/trade.dat","a+");
flock ($fp,LOCK_EX);
fputs($fp,"$text\r\n");
flock ($fp,LOCK_UN);
fclose($fp);
$file=file("L2dbnam/esql2db/trade.dat"); $i = count($file);
if ($i>=1000) {
$fp=fopen("L2dbnam/esql2db/trade.dat","w");
flock ($fp,LOCK_EX);
unset($file[0]);
fputs($fp, implode("",$file));
flock ($fp,LOCK_UN);
fclose($fp);
}
exit;}
}
break;
case 'sendopen':
if(!@file("L2dbnam/esql2db/moders/$log.dat")){echo"Вы не Модератор!"; include_once"inclydings/nogi.php"; exit; }
echo "<form action=\"moder.php?$sd&go=sendopeng\" method=\"post\">";
echo "<small>Введите ник игрока:</small><br/>";
echo "<input name=\"login\" maxlength=\"50\" title=\"nick\"/><br/>";
echo '<input type="submit" value="Открыть почту"/></form>';
break;
case 'sendopeng':
if(!@file("L2dbnam/esql2db/moders/$log.dat")){echo"Вы не Модератор!"; include_once"inclydings/nogi.php"; exit; }
$login=$_POST['login'];
if(!@file("L2dbnam/esql2db/reg/$login.dat")){echo"<small>Такой игрок не существует!</small>"; include_once"inclydings/down.php"; exit; }
if(!@file("L2dbnam/esql2db/sendclose/$login.dat")){echo"<small>У игрока $login почта открыта!</small>"; include_once"inclydings/down.php"; exit; }
@unlink ("L2dbnam/esql2db/sendclose/$login.dat");
echo"Почта игрока $login успешно открыта";
break;
case 'say':
if(!@file("L2dbnam/esql2db/moders/$log.dat")){echo"Вы не Модератор!"; include_once"inclydings/nogi.php"; exit; }
$nick = str_replace("$nick","$nick, ",$nick);
echo "<b>Добавление сообщения</b><br/>
<form action=\"moder.php?$sd&go=chatadd\" method=\"post\" name=\"REPLIER\"><B>Имя</b> $nick<br/>
<b>Сообщение</b><br/>
<textarea cols=\"30\" rows=\"5\" name=\"msg\">$nick</textarea><br/><br/>
<input type=\"submit\" value=\"написать\"></form>";
break;
case 'tradesay':
if(!@file("L2dbnam/esql2db/moders/$log.dat")){echo"Вы не Модератор!"; include_once"inclydings/nogi.php"; exit; }
$nick = str_replace("$nick","$nick, ",$nick);
echo "<b>Добавление сообщения</b><br/>
<form action=\"moder.php?$sd&go=tradeadd\" method=\"post\" name=\"REPLIER\"><B>Имя</b> $nick<br/>
<b>Сообщение</b><br/>
<textarea cols=\"30\" rows=\"5\" name=\"msg\">$nick</textarea><br/><br/>
<input type=\"submit\" value=\"написать\"></form>";
break;
case 'modersay':
if(!@file("L2dbnam/esql2db/moders/$log.dat")){echo"Вы не Модератор!"; include_once"inclydings/nogi.php"; exit; }
$nick = str_replace("$nick","$nick, ",$nick);
echo "<b>Добавление сообщения</b><br/>
<form action=\"moder.php?$sd&go=moderchatadd\" method=\"post\" name=\"REPLIER\"><B>Имя</b> $nick<br/>
<b>Сообщение</b><br/>
<textarea cols=\"30\" rows=\"5\" name=\"msg\">$nick</textarea><br/><br/>
<input type=\"submit\" value=\"написать\"></form>";
break;
case 'delmsgchat':
if(!@file("L2dbnam/esql2db/moders/$log.dat")){echo"Вы не Модератор!"; include_once"inclydings/nogi.php"; exit; }
$time=time()-3600;
$dir = opendir ("L2dbnam/esql2db");
while ($file = readdir ($dir))
{
if (( $file != ".") && ($file != "..")){
$file2=@file("L2dbnam/esql2db/chat.dat");
$GLOBALS[total]=count($file2);
$GLOBALS[all]=$GLOBALS[all]+$GLOBALS[total];
@unlink ("L2dbnam/esql2db/chat.dat");
}
}
if($GLOBALS[all]==""){$GLOBALS[all]="0";}
echo"Удалено: $GLOBALS[all] сообщений.";
$msg="Чат был полностю очищен Модератором: $log.";
$msg=htmlspecialchars(stripslashes($msg));
$msg=str_replace("#","",$msg);
$date=date("d.m.y");
$time=date("H:i");
$text="($time)<br/><b>$msg</b>#[Система]#Nokia8800#127.0.0.1#$date#$time";
$text=str_replace("\r\n", "", $text);
$fp=fopen("L2dbnam/esql2db/chat.dat","a+");
flock ($fp,LOCK_EX);
fputs($fp,"$text\r\n");
flock ($fp,LOCK_UN);
fclose($fp);
break;
case 'viewm':
if(!@file("L2dbnam/esql2db/moders/$log.dat")){echo"Вы не Модератор!"; include_once"inclydings/nogi.php"; exit; }
echo 'Почта персонажей<br/>';
echo '<form method="post" action="moder.php?'.$sd.'&go=viewmail">';
echo 'Ник:<br />';
echo '<input type="log" name="nickname" /><br />';
echo '<input type="submit" class="button" value="Повтыкать" />';
echo '</form>';
break;
case 'viewmail':
if(!@file("L2dbnam/esql2db/moders/$log.dat")){echo"Вы не Модератор!"; include_once"inclydings/nogi.php"; exit; }
if(@file("L2dbnam/esql2db/admins/$nickname.dat")){echo"А ты не обнаглел?? Почту админов нельзя смотреть."; include_once"inclydings/down.php"; exit;}
if(@file("L2dbnam/esql2db/sendclose/$nickname.dat")){echo"Нельзя просматривать личные сообщения игроков которые себе закрыли почту."; include_once"inclydings/down.php"; exit;}
echo'Архив почты '.$nickname.'<br/>';
if (@file_exists("L2dbnam/esql2db/msg/$nickname.msg")){
$file = @file("L2dbnam/esql2db/msg/$nickname.msg");
$file = array_reverse($file);
$total = count($file);
$maxi=$total-1;
if (empty($_GET['start'])) $start = 0;
else $start = $_GET['start'];
if ($total < $start + 35){ $end = $total; }
else {$end = $start + 35; }
for ($i = $start; $i < $end; $i++){
$file = @file("L2dbnam/esql2db/msg/$nickname.msg");
$file = array_reverse($file);
$data = explode(":::",$file[$i]);
$i2=round($i+1);
$data[1] = str_replace("\r\n","",$data[1]);
$num=$total-$i;
$num=$num-1;
$udats = explode("|",$data[1]);
$loginin=trim($udats[0]);
$pismo=trim($udats[1]);
$pismo=base64_decode($pismo);
$dats=trim($udats[2]);
$infip=trim($udats[3]);
$loginin = htmlspecialchars(stripslashes($loginin));
$pismo = stripslashes($pismo);
print '[<a href="search.php?'.$sd.'&nick='.$loginin.'&go=go"><b>'.$loginin.'</b></a>] ('.$dats.')<br />';
echo "$pismo.";
if(!empty($infip)){
echo'<br />['.$infip.']<br/>';} }
if($total==0){echo'<br />У вас нет писем.';}
$rand=rand(1000,9999);}else {echo "Нет у него почты мля!!!<br />";}
break;
case 'modersend':
if(!@file("L2dbnam/esql2db/moders/$log.dat")){echo"Вы не Модератор!"; include_once"inclydings/nogi.php"; exit; }
echo "<form action=\"moder.php?go=modersendmsg&" . $sd . "\" method=\"post\">";
if(empty($uzer)){
echo "<small>Введите ник:</small><br/>";
echo "<input name=\"uzer\" maxlength=\"15\" type=\"text\" title=\"uzer\"/><br/>";
}
echo "Введите сообщение:<br/>";
echo "<input name=\"msg\" maxlength=\"800\" title=\"msg\"/><br/>";
//echo "<small><anchor title=\"go\">Отправить<go href=\"moder.php?go=sendmsg&" . $sd . "\" method=\"post\">";
//echo '';
if(!empty($uzer)){
echo "<input type=\"hidden\" name=\"uzer\" value=\"".intval($_GET['uzer'])."\"/>";
}/*else{
echo "<postfield name=\"uzer\" value=\"$(uzer)\"/>";
}*/
//echo "<postfield name=\"msg\" value=\"$(msg)\"/>";
echo '<br/><input type="submit" value="Отправить" />';
echo "</form>";
//echo //<br/>";
break;
case 'modersendmsg':
if ($_SERVER['HTTP_X_FORWARDED_FOR'])
{
$ip = htmlspecialchars(stripslashes($_SERVER['HTTP_X_FORWARDED_FOR']));
}
else{
$ip = htmlspecialchars(stripslashes($_SERVER['REMOTE_ADDR']));
}
$currHour = date("H", time());
$currDate = date("d F, Y", time());
$currTime = date("$currHour:i:s", time());
$currDate = str_replace("January", "января", $currDate);
$currDate = str_replace("February", "февраля", $currDate);
$currDate = str_replace("March", "марта", $currDate);
$currDate = str_replace("April", "апреля", $currDate);
$currDate = str_replace("May", "мая", $currDate);
$currDate = str_replace("June", "июня", $currDate);
$currDate = str_replace("July", "июля", $currDate);
$currDate = str_replace("August", "августа", $currDate);
$currDate = str_replace("September", "сентября", $currDate);
$currDate = str_replace("October", "октября", $currDate);
$currDate = str_replace("November", "ноября", $currDate);
$currDate = str_replace("December", "декабря", $currDate);
require_once "inclydings/flood.php";
if (CheckIP ()){
echo"[Guard]<br/> Сообщение можно отсылать один раз в 30 секунд";
echo "</p></body></html>";
exit;
}
if($uzer == ""){
echo $uzer . 'Вы не написали кому отправить письмо! Письмо не отправлено.';
exit;
}
$u = explode(".", $login);
if($log !== "$u[0].GM"){
$str = strlen($msg);
if($msg == "" || $str < 3 || $str > 800){
echo'Письмо должно быть не менее 3-ех символов и не более 800 символов!';
echo"<br/><br/><a href=\"privat.php?" . $sd . "\">Вернуться</a>";
echo "</p></body></html>";
exit;
}
}
$msg = htmlspecialchars(stripslashes(trim($msg)));
$log = htmlspecialchars(stripslashes(trim($log)));
$msg = str_replace("|", "", $msg);
$msg = str_replace("||", "", $msg);
$msg = str_replace("\r", "", $msg);
$msg = str_replace("\n", "", $msg);
$msg = str_replace("\r\n", "", $msg);
$log = str_replace("|", "", $log);
$log = str_replace("||", "", $log);
$msg = base64_encode($msg);
$tex = ":::<b>Модератор:<br/>$log</b>|<b>$msg<br/>ВНИМАНИЕ!!! Вы должны ответить на это сообщение иначе будете забанены (заблокированы)</b>|$currDate $currTime|$ip";
$proverka = @file("L2dbnam/esql2db/reg/$uzer.dat");
$ster = strlen($uzer);
if (empty($proverka) || $ster < 1){
echo"Такого пользователя нет!<br/><br/>";
}else{
$fal = @file("L2dbnam/esql2db/reg/$uzer.dat");
$udata = explode(":||:", $fal[0]);
$udata[22] = trim($udata[22] + 1);
$textus = $udata[0] . ':||:' . $udata[1] . ':||:' . $udata[2] . ':||:' . $udata[3] . ':||:' . $udata[4] . ':||:' . $udata[5] . ':||:' . $udata[6] . ':||:' . $udata[7] . ':||:' . $udata[8] . ':||:' . $udata[9] . ':||:' . $udata[10] . ':||:' . $udata[11] . ':||:'
. $udata[12] . ':||:' . $udata[13] . ':||:' . $udata[14] . ':||:' . $udata[15] . ':||:' . $udata[16] . ':||:' . $udata[17] . ':||:' . $udata[18] . ':||:' . $udata[19] . ':||:' . $udata[20] . ':||:' . $udata[21] . ':||:' . $udata[22] . ':||:' . $udata[23] .
':||:' . $udata[24] . ':||:' . $udata[25] . ':||:' . $udata[26] . ':||:' . $udata[27] . ':||:' . $udata[28] . ':||:' . $udata[29] . ':||:' . $udata[30] . ':||:' . $udata[31] . ':||:' . $udata[32] . ':||:' . $udata[33] . ':||:' . $udata[34] . ':||:' . $udata[35]
. ':||:' . $udata[36] . ':||:' . $udata[37] . ':||:' . $udata[38] . ':||:' . $udata[39] . ':||:' . $udata[40] . ':||:'.$udata[41].':||:'.$udata[42].':||:'.$udata[43].':||:'.$udata[44].':||:'.$udata[45].':||:'.$udata[46].':||:'.$udata[47].':||:'.$udata[48].':||:'.$udata[49].':||:'.$udata[50].':||:'.$udata[51].':||:'.$udata[52].':||:'.$udata[53].':||:'.$udata[54].':||:'.$udata[55].':||:'.$udata[56].':||:'.$udata[57].':||:'.$udata[58].':||:'.$udata[59].':||:'.$udata[60].':||:'.$udata[61].':||:'.$udata[62].':||:'.$udata[63].':||:'.$udata[64].':||:'.$udata[65].':||:'.$udata[66].':||:'.$udata[67].':||:'.$udata[68].':||:'.$udata[69].':||:'.$udata[70].':||:'.$udata[71].':||:'.$udata[72].':||:'.$udata[73].':||:'.$udata[74].':||:'.$udata[75].':||:'.$udata[76].':||:'.$udata[77].':||:'.$udata[78].':||:'.$udata[79].':||:'.$udata[80].':||:'.$udata[81].':||:'.$udata[82].':||:'.$udata[83].':||:'.$udata[84].':||:'.$udata[85].':||:'.$udata[86].':||:'.$udata[87].':||:'.$udata[88].':||:'.$udata[89].':||:'.$udata[90].':||:'.$udata[91].':||:'.$udata[92].':||:'.$udata[93].':||:'.$udata[94].':||:'.$udata[95].':||:'.$udata[96].':||:'.$udata[97].':||:'.$udata[98].':||:'.$udata[99].':||:'.$udata[100].':||:';
$fp = fopen("L2dbnam/esql2db/reg/$uzer.dat", "a+");
flock ($fp, LOCK_EX);
ftruncate ($fp, 0);
fputs($fp, "$textus");
fflush ($fp);
flock ($fp, LOCK_UN);
fclose($fp);
$fp = fopen("L2dbnam/esql2db/msg/$uzer.msg", "a+");
flock ($fp, LOCK_EX);
fputs($fp, "$tex \r\n");
fflush ($fp);
flock ($fp, LOCK_UN);
fclose($fp);
echo "<small>Письмо успешно отправлено!";
echo"<br/>Текст сообщения:<br/>";
echo base64_decode($msg);
echo"<br/>Получатель: ";
echo $uzer;
echo"<br/>";
}
break;
case 'dolg':
if(!@file("L2dbnam/esql2db/moders/$log.dat")){echo"Вы не Модератор!"; include_once"inclydings/nogi.php"; exit; }
echo"
1)Нельзя закрывать чат. Закрывать только в том случае если творитса хаос<br/>
2)Нельзя пользоватса Почтой Модератора для общения так как игрок будет вынужден дать ответ на Ваше сообщения. Использовать только: 1. Если игрок избегает своего наказания, 2. Если игрок кинул ковото и нежелает возращать вещи (после точной проверки на кидаловство как таковое)<br/>
3)Чистить чат и торговый чат только в том случае если в нём набралось более 999 постов<br/>
4)Нельзя пользоватса должностью в своих целях<br/>
5)Неделать поблажки никому - неважно брат это сестра или друг<br/>
6)Разрешаетса помагать новичкам и всем пользователям<br/>
7)Непросить Администраторов о повышении должности так как Вы будете немедленно сняты с должности<br/> ";
break;
case 'ali':
if(!@file("L2dbnam/esql2db/moders/$log.dat")){echo"Вы не Модератор!"; include_once"inclydings/nogi.php"; exit; }
echo "<form action=\"moder.php?$sd&go=delali\" method=\"post\">";
echo "<small>Введите ник главы альянса:</small><br/>";
echo "<input name=\"login\" maxlength=\"50\" title=\"nick\"/><br/>";
echo '<input type="submit" value="Удалить альянс"/></form>';
break;
case 'delali':
if(!@file("L2dbnam/esql2db/moders/$log.dat")){echo"Вы не Модератор!"; include_once"inclydings/nogi.php"; exit; }
$login=$_POST['login'];
if(!@file("L2dbnam/esql2db/ali/$login.dat")){echo"Такой альянс не существует!"; include_once"inclydings/down.php"; exit; }
@unlink ("L2dbnam/esql2db/ali/$login.dat");
@unlink ("L2dbnam/esql2db/ali/bank/$login.dat");
@unlink ("L2dbnam/esql2db/ali/chat/$login.dat");
@unlink ("L2dbnam/esql2db/ali/clans/$login.dat");
@unlink ("L2dbnam/esql2db/ali/desk/$login.dat");
@unlink ("L2dbnam/esql2db/ali/logs/$login.dat");
@unlink ("L2dbnam/esql2db/ali/names/$login.dat");
@unlink ("L2dbnam/esql2db/ali/site/$login.dat");
@unlink ("L2dbnam/esql2db/ali/tmp/$login.dat");
echo"Альянс игрока $login успешно удалён";
break;
case 'stat':
if(!@file("L2dbnam/esql2db/moders/$log.dat")){echo"Вы не Модератор!"; include_once"inclydings/nogi.php"; exit; }
echo "<form action=\"moder.php?$sd&go=savestat\" method=\"post\">";
echo "Введите ник игрока (Главы клана):<br/>";
echo "<input name=\"nick\" maxlength=\"50\" title=\"nick\"/><br/>";
echo "<small>Звание:</small><br/>";
echo "<input name=\"statusus\" maxlength=\"100\"/><br/>";
echo '<input type="submit" value="Изменить"/></form>';
break;
case 'savestat':
if(!@file("L2dbnam/esql2db/moders/$log.dat")){echo"Вы не Модератор!"; include_once"inclydings/nogi.php"; exit; }
if(!@file("L2dbnam/esql2db/reg/$nick.dat")){echo"Такого игрока нет."; include_once"inclydings/down.php"; exit; }
if(@file("L2dbnam/esql2db/clan/$nick.dat")){
$text = @file("L2dbnam/esql2db/clan/$nick.dat");
$data = explode(":||:",$text[0]);
$nick=$_POST['nick'];
$statusus=$_POST['statusus'];
$text=$nick.':||:'.$statusus.':||:';
$fp=fopen("L2dbnam/esql2db/clan/status/$nick.dat","w");
flock($fp,LOCK_EX);
ftruncate($fp,0);
fputs($fp,"$text");
fflush($fp);
flock($fp,LOCK_UN);
fclose($fp);
echo"Вы успешно присвоили игроку $nick звание:<br/> $statusus"; include_once"inclydings/down.php"; exit; }
echo'Игрок не глава клана.<br/>';include_once"inclydings/down.php"; exit;
break;
case 'tradedelmsgchat':
if(!@file("L2dbnam/esql2db/moders/$log.dat")){echo"Вы не Модератор!"; include_once"inclydings/nogi.php"; exit; }
$time=time()-3600;
$dir = opendir ("L2dbnam/esql2db");
while ($file = readdir ($dir))
{
if (( $file != ".") && ($file != "..")){
$file2=@file("L2dbnam/esql2db/chat.dat");
$GLOBALS[total]=count($file2);
$GLOBALS[all]=$GLOBALS[all]+$GLOBALS[total];
@unlink ("L2dbnam/esql2db/trade.dat");
}
}
if($GLOBALS[all]==""){$GLOBALS[all]="0";}
echo"Удалено: $GLOBALS[all] сообщений.";
$msg="Торговый чат был полностю очищен Модератором: $log.";
$msg=htmlspecialchars(stripslashes($msg));
$msg=str_replace("#","",$msg);
$date=date("d.m.y");
$time=date("H:i");
$text="($time)<br/><b>$msg</b>#[Система]#Nokia8800#127.0.0.1#$date#$time";
$text=str_replace("\r\n", "", $text);
$fp=fopen("L2dbnam/esql2db/trade.dat","a+");
flock ($fp,LOCK_EX);
fputs($fp,"$text\r\n");
flock ($fp,LOCK_UN);
fclose($fp);
break;
case 'delbrak':
if(!@file("L2dbnam/esql2db/moders/$log.dat")){echo"Вы не Модератор!"; include_once"inclydings/nogi.php"; exit; }
echo "<form action=\"moder.php?$sd&go=delbrakk\" method=\"post\">";
echo "<small>Введите ник Мужчины:</small><br/>";
echo "<input name=\"login\" maxlength=\"50\" title=\"nick\"/><br/>";
echo "<small>Введите ник Жены:</small><br/>";
echo "<input name=\"zena\" maxlength=\"50\" title=\"nick\"/><br/>";
echo '<input type="submit" value="Развести пару"/></form>';
break;
case 'delbrakk':
if(!@file("L2dbnam/esql2db/moders/$log.dat")){echo"Вы не Модератор!"; include_once"inclydings/nogi.php"; exit; }
$login=$_POST['login'];
$zena=$_POST['zena'];
if(empty($login)){echo"Вы не ввели ник Мужчины"; include'inclydings/down.php'; exit;}
if(empty($zena)){echo"Вы не ввели ник Жены"; include'inclydings/down.php'; exit;}
if(!@file("local/datacharch/wedding/$login.dat")){echo"$login<br/>Этот мужчина не в браке"; include_once"inclydings/down.php"; exit; }
if(!@file("local/datacharch/wedding/$zena.dat")){echo"$zena<br/>Эта жена не в браке"; include_once"inclydings/down.php"; exit; }
@unlink ("local/datacharch/wedding/$login.dat");
@unlink ("local/datacharch/wedding/$zena.dat");
@unlink ("local/datacharch/weddingok/$login.dat");
@unlink ("local/datacharch/weddingok/$zena.dat");
echo"Брак $login и $zena успешно разорван";
break;
case 'bannick':
if(!@file("L2dbnam/esql2db/moders/$log.dat")){echo"Вы не Модератор!"; include_once"inclydings/nogi.php"; exit; }
echo "<form action=\"moder.php?$sd&go=bannicksave\" method=\"post\">";
echo "Введите ник игрока:<br/>";
echo "<input name=\"nick\" maxlength=\"50\" title=\"nick\"/><br/>";
echo "Причина бана:<br/>";
echo "<input name=\"prichina\" maxlength=\"100\"/><br/>";
echo "За какое сообщение:<br/>";
echo "<input name=\"msg\" maxlength=\"100\"/><br/>";
echo '<input type="hidden" value="'.$logi.'">';
echo '<input type="submit" value="Заблокировать"/></form>';
break;
case 'bannicksave':
if(!@file("L2dbnam/esql2db/moders/$log.dat")){echo"Вы не Модератор!"; include_once"inclydings/nogi.php"; exit; }
$text="127.0.0||$time||$login||$prichina||$msg||";
$fp=fopen("L2dbnam/esql2db/ban.dat","a+");
flock($fp,LOCK_EX);
fputs($fp,"$text\r\n");
fflush($fp);
flock($fp,LOCK_UN);
fclose($fp);
$msg="$nick забанен на 24 часов! Модератором: $log. Причина: $prichina ";
$text="($time)<br/><b>$msg</b>#[Система]#Nokia8800#127.0.0.1#$date#$time";
$text=str_replace("\r\n", "", $text);
$fp=fopen("L2dbnam/esql2db/chat.dat","a+");
flock ($fp,LOCK_EX);
fputs($fp,"$text\r\n");
flock ($fp,LOCK_UN);
fclose($fp);
$file=file("L2dbnam/esql2db/chat.dat"); $i = count($file);
if ($i>=1000) {
$fp=fopen("L2dbnam/esql2db/chat.dat","w");
flock ($fp,LOCK_EX);
unset($file[0]);
fputs($fp, implode("",$file));
flock ($fp,LOCK_UN);
fclose($fp);
}
echo"$login забанен на 24 часа.<br/>[<a href=\"moder.php?$sd&go=chat\">Продолжить</a>]<br/>";
break;
}
echo"<br/>- - -<br/> <a href=\"moder.php?$sd\">В модер панель</a><br/>";
}else{echo"Вы не модератор"; include'inclydings/down.php'; exit;}
}else{echo"Пароль или логин неверен!";}
include_once"inclydings/down.php";
?>